/* Nav */
.navbar {
	--clr-white: 216 61% 18%;
	--clr-primary-blue: 0 0% 98%;
	--clr-sub-blue: 0 0% 95%;
}
.navMenu ul li a {
	font-weight: 400;
}

/* Main tag Start */
body {
	background-color: hsl(var(--clr-white));
}

.have-side-container {
	--side-nav-width: clamp(8rem, 20%, 14rem);

	width: min(92%, 100rem);
	margin: 0 auto;
}
/* Side navigation */
#side-navigation {
	width: var(--side-nav-width);
	padding-left: 1.24vw;
	position: sticky;
	height: max-content;
	top: var(--nav-height);
	transition: top 0.4s;
}
.nav-up #side-navigation {
	top: 0;
}
#side-navigation ul {
	width: 100%;
	padding-top: 0.8rem;
	position: fixed;
}
#side-navigation a {
	width: max-content;
	display: block;
	color: hsl(var(--clr-primary-blue));
	margin-bottom: 1.3em;
	font-weight: 500;
	transition: 0.4s;
	position: relative;
}
#side-navigation a::after {
	position: absolute;
	content: "";
	width: 100%;
	height: 2.4px;
	background-color: hsl(var(--clr-primary-blue));
	bottom: -3px;
	left: 0;
	transform: scaleX(0);
	transform-origin: right;
	transition: transform 0.4s ease-in-out;
}
#side-navigation a.active,
#side-navigation a:hover {
	font-weight: 700;
}
#side-navigation a.active::after,
#side-navigation a:hover::after {
	transform: scaleX(100%);
	transform-origin: left;
}
.main-side-container {
	--margin-right: -3vw;
	width: calc(100% - var(--logo-width) - var(--margin-right));
	margin-right: var(--margin-right);
}

/* Banner */
#banner {
	width: 100%;
}
#banner picture {
	width: 100%;
	/* height: min(calc(100vh - var(--nav-height)), 1053px); */
	aspect-ratio: 16 / 8;
}
#banner picture img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}
.banner-content {
	font-size: clamp(10px, 0.5rem + 0.4vw, 1rem + 0.1vw);
	padding: 5.5rem 0;
	letter-spacing: 0.24em;
	line-height: 2.5em;
	width: 60%;
	margin: 0 auto;
}

/* Clinic Concept */
#concept {
	width: 100%;
	background-color: hsl(var(--clr-primary-lightblue));
	padding-bottom: 2rem;
}
.title {
	font-size: clamp(1.1rem, 0.8rem + 0.5vw, 1.5rem);
	padding: 2.75em;
}
.title h2 {
	position: relative;
	width: max-content;
	border-bottom: solid 0.24rem hsl(var(--clr-primary-yellow));
	margin: 0 auto;
}
#concept .content {
	width: 87%;
	margin: 0 auto;
	flex-wrap: wrap;
}

.card {
	display: grid;
	grid-template-columns: calc(100% / 4) calc(100% / 8 * 3) calc(100% / 8 * 3);
	grid-template-rows: 35px min-content;
	padding: 3rem 0;
}
.card img {
	grid-column: 1 / 2;
	grid-row: 1 / 3;
	max-height: 8.1rem;
	object-fit: contain;
	object-position: center;
	margin: 0 auto;
}
.card .card-title {
	grid-column: 2 / 4;
	grid-row: 1 / 2;

	font-weight: 600;
	font-size: 1rem;
	border: solid 0.1em hsl(var(--clr-primary-yellow));
	letter-spacing: 0.2em;
	width: max-content;
	padding: 0.24em 0.5em;
}
.card .card-detail {
	grid-column: 2 / 4;
	grid-row: 2 / 3;

	font-size: 0.81rem;
	font-weight: 400;
	letter-spacing: 0.25em;
	line-height: 2em;
	padding-top: 1em;
}
.card ~ .card {
	border-top: solid 2px hsl(0, 0%, 81%);
}
.card .card-title .fontfat {
	font-weight: 800;
}
.card .card-title .padding-left {
	padding-left: 0.5rem;
}

/* Implant System */
#implant-system {
	color: hsl(var(--clr-white));
	background-color: hsl(var(--clr-primary-blue));
	padding-bottom: 6em;
}
#implant-system .title {
	padding: 4.5em 0;
}
#implant-system picture {
	width: 100%;
	padding-left: 8%;
	padding-right: 12%;
}
#implant-system picture img {
	width: 100%;
	object-fit: contain;
	object-position: center;
}

/* Education Training */
#education-training .caption {
	padding: 2.4em 0;
	font-size: clamp(1rem, 0.55rem + 0.45vw, 1.15rem);
	font-weight: 500;
	letter-spacing: 0.15em;
	line-height: 2.4em;
}
#education-training .content {
	width: 92%;
	margin: 0 auto;
	overflow: hidden;
	position: relative;
	min-height: 22rem;
	padding-bottom: 5rem;
}
.content ul {
	width: 200%;
	position: absolute;
	top: 0;
	left: 0;
	display: flex;
	align-items: center;
	transition: transform 0.5s ease;
	transform: translateX(0);
	background-color: hsl(var(--clr-primary-blue));
}
.content ul.grabbing {
	transition: none;
}
.content li {
	width: 50%;
	display: flex;
	align-items: center;
	margin: 0;
	user-select: none;
	cursor: grab;
	transition: transform 0.3s ease-in-out;
}
.grabbing li {
	cursor: grabbing;
}

.content .content-caption {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	width: 50%;
	aspect-ratio: 700 / 467;
	color: hsl(var(--clr-white));
	padding: 0 4rem;
	margin-top: 1rem;
}
.content .content-caption h3 {
	font-weight: 800;
	line-height: 2em;
	font-size: calc(0.85rem + 0.24vw);
	letter-spacing: 0.2em;
	position: relative;
}
.content .content-caption h3::after {
	position: absolute;
	content: "";
	width: calc(100% - 1rem);
	height: 0.19rem;
	background-color: hsl(var(--clr-primary-yellow));
	bottom: 0;
	left: 0;
}
.content .content-caption p {
	font-size: 0.9rem;
	font-weight: 400;
	letter-spacing: 0.24em;
	line-height: 2.4em;
	padding-top: 1.2em;
}
.content .img-container {
	width: 50%;
	aspect-ratio: 700 / 467;
	overflow: hidden;
}
.content .img-container img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
	transition: transform 0.3s ease-in-out;
	transform: scale(1.05);
}
.content .grabbing img {
	transform: scale(1);
}

/* Btn Desighn */
.button-container {
	width: 100%;
	margin: 3rem 0;
}
.button-container button {
	display: block;
	width: 1.3rem;
	height: 1.3rem;
	border-radius: 50%;
	margin: 0 0.8rem;
	border: solid 2.5px hsl(var(--clr-primary-blue));
	transition: background-color 0.4s ease;
}
.button-container button:hover,
.button-container button[aria-selected="true"] {
	background-color: hsl(var(--clr-primary-blue));
}

/* Tablet (768px - 1023px) */
@media screen and (max-width: 1023px) {
	/* Side Navigation */
	.have-side-container {
		flex-direction: column;
		width: 100%;
	}

	#side-navigation {
		width: 100%;
		background-color: hsl(var(--clr-light-blue));
		z-index: 1;
		box-shadow: 0 5px 10px hsl(var(--clr-grey) / 0.24);
		padding-left: 0;
	}

	#side-navigation ul {
		display: flex;
		justify-content: center;
		padding-top: 0;
		gap: 2rem;
		padding: 1rem 0 1.4rem;
		background-color: hsl(var(--clr-light-blue));
	}

	#side-navigation a {
		margin: 0;
		padding: 0.5rem 0 0.24rem;
	}

	.main-side-container {
		width: min(92%, 100rem);
		margin: 75px auto 0;
	}

	/* Banner */
	.banner-content {
		width: 80%;
		padding: 3rem 0 8rem;
		font-size: max(1.5vw, 0.9rem);
	}

	/* Clinic Concept */
	.title {
		padding: 2em 0 0.8em;
	}
	#concept .content {
		width: 90%;
	}
	.card {
		padding: 2.2rem 0;
	}
	.card .card-title {
		letter-spacing: 0.15em;
	}
	.card .card-title .padding-left {
		padding-left: 0.5rem;
	}

	/* Education Training */
	#education-training .content {
		width: 100%;
	}
	#education-training .caption {
		line-height: 2em;
	}
	.content .content-caption {
		padding: 0 2rem 0 2.4rem;
	}
	.content .content-caption h3 {
		letter-spacing: 0.1em;
	}
}
@media screen and (max-width: 850px) {
	.card {
		width: 100%;
		grid-template-rows: auto min-content;
	}
	.card img {
		grid-column: 1 / 2;
		grid-row: 2 / 3;

		max-height: 7rem;
	}
	.card .card-title {
		grid-column: 1 / 4;
		grid-row: 1 / 2;

		--margin: 7vw;

		width: calc(100% - var(--margin) * 2);
		text-align: center;
		margin: 0 var(--margin) 1.4rem;
	}
}

/* Mobile (767px and below) */
@media screen and (max-width: 767px) {
	.main-side-container {
		width: 100%;
	}
	/* Side Navigation */
	#side-navigation ul {
		gap: 3rem;
	}

	/* Banner */
	.banner-content {
		padding: 2rem 0 5rem;
		font-size: 14px;
	}

	/* Clinic Concept */
	.card .card-title {
		--margin: 2.4vw;
	}
	.card .card-detail {
		padding-left: 1rem;
	}

	/* Implant System */
	#implant-system {
		padding-bottom: 8vw;
	}
	#implant-system .title {
		padding: 5vw 0;
	}
	#implant-system picture {
		padding: 0 2.4vw;
	}

	/* Education Training */
	#education-training .content li {
		height: max-content;
		padding: 0 0 0.8rem;
		flex-direction: column-reverse;
	}
	#education-training .content li .img-container {
		width: 100%;
		max-height: 170px;
	}
	.content .content-caption {
		padding: 0 8vw;
		width: 100%;
	}
	.content .content-caption h3 {
		margin: 0 auto;
	}
	.content .content-caption p {
		line-height: 1.8em;
	}
}
